libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_analysis_init

declared in "vorbis/codec.h";

This function allocates and initializes the encoder's analysis state inside a is vorbis_dsp_state, based on the configuration in a vorbis_info struct.

    extern int      vorbis_analysis_init(vorbis_dsp_state *v,vorbis_info *vi);

### Parameters

v</i</dt>
  Pointer to the vorbis_dsp_state structure to be initialized for encoding.
vi
  Pointer to an initialized vorbis_info struct describing the encoder configuration.

### Return Values

> - 0 for success

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101